<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd"><html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <title>Example: Grouped Menu Items Using JavaScript (YUI Library)</title>

                <!-- Standard reset and fonts -->

        <link rel="stylesheet" type="text/css" href="../../build/reset/reset.css">
        <link rel="stylesheet" type="text/css" href="../../build/fonts/fonts.css">

 

        <!-- CSS for Menu -->

        <link rel="stylesheet" type="text/css" href="../../build/menu/assets/menu.css">
 

        <!-- Page-specific styles -->

        <style type="text/css">

            body { margin:.5em; }

            h1 { font-weight:bold; }

            p#clicknote {

                margin-top:1em;

            }

            p#clicknote em {
            
                font-weight:bold;
            
            }

        </style>

               <!-- Namespace source file -->

        <script type="text/javascript" src="../../build/yahoo/yahoo.js"></script>

        <!-- Dependency source files -->

        <script type="text/javascript" src="../../build/event/event.js"></script>
        <script type="text/javascript" src="../../build/dom/dom.js"></script>


        <!-- Container source file -->
        <script type="text/javascript" src="../../build/container/container_core.js"></script>

        <!-- Menu source file -->
        <script type="text/javascript" src="../../build/menu/menu.js"></script>

        <!-- Page-specific script -->

        <script type="text/javascript">

            YAHOO.example.onWindowLoad = function(p_oEvent) {

                var oMenu = new YAHOO.widget.Menu("menuwithgroups", { fixedcenter: true });

                oMenu.addItems([

                    [
                        { text:"Yahoo! Mail", url:"http://mail.yahoo.com" },
                        { text:"Yahoo! Address Book", url:"http://addressbook.yahoo.com" },
                        { text:"Yahoo! Calendar", url:"http://calendar.yahoo.com" },
                        { text:"Yahoo! Notepad", url:"http://notepad.yahoo.com" }
                    ],

                    [

                        { text:"Yahoo! Local", url:"http://local.yahoo.com" },
                        { text:"Yahoo! Maps", url:"http://maps.yahoo.com" },
                        { text:"Yahoo! Travel", url:"http://travel.yahoo.com" },
                        { text:"Yahoo! Shopping", url:"http://shopping.yahoo.com" } 
                    
                    ],

                    [

                        { text:"Yahoo! Messenger", url:"http://messenger.yahoo.com" },
                        { text:"Yahoo! 360", url:"http://360.yahoo.com" },
                        { text:"Yahoo! Groups", url:"http://groups.yahoo.com" },
                        { text:"Yahoo! Photos", url:"http://photos.yahoo.com" }
                    
                    ]
                
                ]);

                oMenu.render(document.body);
    
                oMenu.show();


                function onMenuToggleMouseDown(p_oEvent) {

                    YAHOO.util.Event.stopPropagation(p_oEvent);
                                    
                    oMenu.show();
                
                }

                YAHOO.util.Event.addListener("menutoggle", "mousedown", onMenuToggleMouseDown);

            }


            YAHOO.util.Event.addListener(window, "load", YAHOO.example.onWindowLoad);
            
        </script>

    </head>
    <body>

        <h1>Example: Grouped Menu Items Using JavaScript (YUI Library) <em>[<a href="index.html">Examples Home</a>]</em></h1>
        <p>This example demonstrates how to group MenuItem instances.  The Menu API also supports building a menu like this <a href="example03.html">using existing markup</a>.</p>
        <p id="clicknote"><em>Note:</em> By default clicking outside of a menu will hide it.  Additionally, menu items without a submenu or a URL to navigate will hide their parent menu when clicked.  Click the "Show Menu" button below to make the menu visible if it is hidden.</p>
        <button id="menutoggle">Show Menu</button>

    </body>
</html>
